D4Science Infrastructure - Incident #7926

Users Management portlet: List of pending request is empty
Mar 31, 2017 03:47 PM - Massimiliano Assante

Status: Closed Start date: Mar 31, 2017
Priority: Urgent Due date: Apr 03, 2017
Assignee: Panagiota Koltsida % Done: 100%
Category: Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Production

Description

In RStudioLab VRE | can see from Liferay's users management portlet that there are 2 users in pending mode (see attached
screenshot) but when | go to RStudioLab > Administration > Users Management the portlet reports zero pending requests (see other
screenshot)

History

#1 - Mar 31, 2017 03:48 PM - Massimiliano Assante

- File Liferay users management.png added

#2 - Mar 31, 2017 03:48 PM - Massimiliano Assante
- File VRE Users management.png added

#3 - Mar 31, 2017 04:56 PM - Panagiota Koltsida

- Status changed from New to In Progress

@massimiliano.assante@isti.cnr.it are there any logs from the UM library to check if it returns back users' requests?
We will check in any case the problem asap

#6 - Mar 31, 2017 05:01 PM - Massimiliano Assante

version is UsersManagementPortlet-3.3.0-4.3.0

#9 - Apr 03, 2017 11:33 AM - Panagiota Koltsida
- File preprod_logs added

Unfortunately | cannot see the logs in production, but what you sent does not contain a lot of information. We tried there and we got no request, so the
problem is reproduced in the "infraTrain" VRE.

What we did is to try the same in the pre production environment and we had no issue there. What can be different?
I'm attaching the logs from there, where DEBUG mode is enabled.

In addition we have also tested it in a local installation, but again we did not experience any problem
How do you propose to proceed with this?

#10 - Apr 03, 2017 01:32 PM - Massimiliano Assante
in preproduction we have UsersManagementPortlet-3.3.0-4.3.0-144419 of March 6th 2017, in production i download the latest build compiled 15

March at 04.21 AM from ETICS Build (I think BUILD_54), so the first thing to do is to align the two versions in pre-production and see if the issue is
reproducible.

@costantino.perciante@isti.cnr.it please follow Giota in this incident investigation.

#11 - Apr 03, 2017 01:43 PM - Massimiliano Assante

could this be related to the UsersManagementHook which is of version -1.0.0-4.0.0 in production ?

#12 - Apr 03, 2017 01:49 PM - Massimiliano Assante

in preprod we have UsersManagementHook-1.0.0-4.2.0-129526, so that is a misalignment for sure.
#13 - Apr 03, 2017 02:28 PM - Panagiota Koltsida

We have not released the hook since the first time. It is just for not sending the "liferay automatic e-mails"
What else can be the difference we should find out.

#14 - Apr 03, 2017 02:40 PM - Costantino Perciante

I'm not able to fetch the portlet built 54, so I've put on preproduction nodes the nearest one (55). Could you check now @p.koltsida@di.uoa.gr ? Since
the hook didn't change from version 4.0.0, | haven't touch it

#15 - Apr 03, 2017 03:05 PM - Panagiota Koltsida

In pre production it works fine also with this new version.
Can we check also the version of the users management core library? Is it the same on the 2 environments?

#16 - Apr 03, 2017 03:09 PM - Costantino Perciante

they are different..

preprod is usermanagement-core-2.3.0-4.3.0-142701 .jar
prod is usermanagement-core-2.3.0-4.3.0-144702.jar

| will change them and restart the nodes. I'll tell you when you can test again the portlet asap

#17 - Apr 03, 2017 03:55 PM - Costantino Perciante

Please @p.koltsida@di.uoa.gr start now. The library has been aligned with the one in production

#18 - Apr 03, 2017 04:34 PM - Panagiota Koltsida

We tried again, and it works on pre production.
How do you want to proceed? Could we deploy this version on production with hot deployment?
Then there is the scroll bug, we could add the css file after we check that the requests are working there

#19 - Apr 03, 2017 04:42 PM - Massimiliano Assante

Unless the problem was introduced with the css update (very unlikely) | think that @costantino.perciante@isti.cnr.it can restart a node of the gateway
(infra-gateway1) with DEBUG log level set, then we can see what is going on there?

#20 - Apr 03, 2017 04:43 PM - Massimiliano Assante

just to clarify, nothing changed between portlet built 54 (prod) and 55 (now in preprod). I'm quite sure.

#21 - Apr 03, 2017 05:02 PM - Costantino Perciante
I've also checked what has been changed between 142701 and 144702 and it is only the README file

infra-gateway1 has been restarted with org.gcube log level at debug (it will be on again in 5 minutes)

#22 - Apr 03, 2017 05:56 PM - Costantino Perciante

on the restarted node, the first time | accessed the user management portlet the number of pending users is shown but as soon as | refresh the page
it disappear and it is no longer shown. Please see the attached log (if it can be helpful somehow)

2017-04-03 15:51:46,382 DEBUG proxy.AuthorizationProxy [http-bio-9090-exec-19, resolveTokenByUserAndContext:136
] $[PORTAL] 869581 [http-bio-9090-exec-19] DEBUG org.gcube.common.authorization.client.proxy.AuthorizationProx
y - response code for http://authorization.d4science.org:80/authorization-service/gcube/service/token/resolve
/costantino.perciante?context=/d4science.research-infrastructures.eu/gCubeApps/RStudioLab is 200 OK

2017-04-03 15:51:46,382 DEBUG notifications.NotificationCheckerServlet [http-bio-9090-exec-19,isNotificationMe
ssagesPageRequest:233] %$15:51:46,382 DEBUG [http-bio-9090-exec-19] [NotificationCheckerServlet:233] Url locatio

n is https://services.d4science.org/group/rstudiolab/manage-user—and-requests

2017-04-03 15:51:46,383 DEBUG cache.NotificationsActionCache [http-bio-9090-exec-19,get:64] %15:51:46,383 DEBU

G [http-bio-9090-exec-19] [NotificationsActionCache:64] GET REQUEST: <costantino.perciante>

2017-04-03 15:51:46,383 DEBUG cache.NotificationsActionCache [http-bio-9090-exec-19,get:75] %15:51:46,383 DEBU

G [http-bio-9090-exec-19] [NotificationsActionCache:75] Information not expired for user costantino.perciante
2017-04-03 15:51:46,383 DEBUG notifications.NotificationCheckerServlet [http-bio-9090-exec-19,doGet:105] %15:5
1:46,383 DEBUG [http-bio-9090-exec-19] [NotificationCheckerServlet:105] User's username costantino.perciante is
still in the cache, his notifications won't be refreshed yet

2017-04-03 15:51:46,383 DEBUG notifications.NotificationCheckerServlet [http-bio-9090-exec-19,cleanerFinished:
283] %15:51:46,383 DEBUG [http-bio-9090-exec-19] [NotificationCheckerServlet:283] Setting cleaner thread to fin
ished for user costantino.perciante

2017-04-03 15:51:46,456 DEBUG proxy.AuthorizationProxy [http-bio-9090-exec-23,resolveTokenByUserAndContext:136
] %[PORTAL] 869655 [http-bio-9090-exec-23] DEBUG org.gcube.common.authorization.client.proxy.AuthorizationProx

y — response code for http://authorization.d4science.org:80/authorization-service/gcube/service/token/resolve
/costantino.perciante?context=/d4science.research-infrastructures.eu/gCubeApps/RStudioLab is 200 OK

2017-04-03 15:51:46,460 DEBUG proxy.AuthorizationProxy [http-bio-9090-exec-78, resolveTokenByUserAndContext:136
] % [PORTAL]

y — response

869659

[http-bio-9090-exec-78] DEBUG org.gcube.common.authorization.client.proxy.AuthorizationProx
code for http://authorization.d4science.org:80/authorization-service/gcube/service/token/resolve

/costantino.perciante?context=/d4science.research-infrastructures.eu/gCubeApps/RStudioLab is 200 OK

2017-04-03 15
BUG
2017-04-03 15

BUG [http-bio-

2017-04-03 15

[http-bio-

:51:46,465 DEBUG impl.LiferayUserManager [http-bio-9090-exec-23,getUserById:460]
9090-exec-23] [LiferayUserManager:460] Trying to fetch user by LR Id 29924
:51:46,465 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getUserById:460]
9090-exec-78] [LiferayUserManager:460] Trying to fetch user by LR Id 29924
:51:46,465 DEBUG impl.LiferayUserManager [http-bio-9090-exec-23,listMembershipRequestsByGroup:753

%$15:51:46,465 DE

%$15:51:46,465 DE

] %$15:51:46,465 DEBUG [http-bio-9090-exec-23] [LiferayUserManager:753] Asked for pending users list of group: R

StudioLab

2017-04-03 15:

:46,475 DEBUG
b

2017-04-03 15:

:46,478 DEBUG
b

2017-04-03 15:

:46,480 DEBUG
b

2017-04-03 15:

:46,483 DEBUG
b

2017-04-03 15:
%15:

1Name:51]

51:46,475 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiola

51:46,478 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %$15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiola

51:46,480 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiola

51:46,483 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiola

51:46,484 DEBUG usersmanagementportlet.EmailPartsConstruction [http-bio-9090-exec-23, returnPorta
51:46,484 DEBUG [http-bio-9090-exec-23] [EmailPartsConstruction:51] Using file -> /home/life/D4Sc

ience-production—-gateway/tomcat-7.0.62/conf/gcube-data.properties

2017-04-03 15
1Name:59] %15
way

RolesInitial is:

2017-04-03 15
146,485 DEBUG
b
2017-04-03 15
146,488 DEBUG
b
2017-04-03 15
146,490 DEBUG
b
2017-04-03 15
146,492 DEBUG
b
2017-04-03 15
146,495 DEBUG
b
2017-04-03 15
146,497 DEBUG
b
2017-04-03 15
:46,500 DEBUG
b
2017-04-03 15
146,502 DEBUG
b
2017-04-03 15
:46,504 DEBUG
b
2017-04-03 15
146,507 DEBUG
b
2017-04-03 15
:46,510 DEBUG
b
2017-04-03 15
146,513 DEBUG
b
2017-04-03 15
:46,516 DEBUG
b
2017-04-03 15
:46,520 DEBUG
b
2017-04-03 15
146,522 DEBUG
b
2017-04-03 15
:51:46,484 DEBUG usersmanagementportlet.EmailPartsConstruction [http-bio-9090-exec-23,returnPorta
:51:46,484 DEBUG [http-bio-9090-exec-23] [EmailPartsConstruction:59] D4Science Infrastructure Gate

false
:51:46,485 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiolLa

:51:46,488 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiolLa

:51:46,490 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiolLa

:51:46,492 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiolLa

:51:46,495 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %$15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiolLa

:51:46,497 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiolLa

:51:46,500 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %$15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiolLa

:51:46,502 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiolLa

:51:46,504 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %$15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiola

:51:46,507 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %$15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiolLa

:51:46,510 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiola

:51:46,513 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiola

:51:46,516 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiolLa

:51:46,520 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiolLa

:51:46,522 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiolLa

:51:46,524 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
146,524 DEBUG
b

2017-04-03 15:

146,527 DEBUG
b

2017-04-03 15:

146,529 DEBUG
b

2017-04-03 15:

146,532 DEBUG
b

2017-04-03 15:

146,534 DEBUG
b

2017-04-03 15:

146,537 DEBUG
b

2017-04-03 15:

146,540 DEBUG
b

2017-04-03 15:

146,543 DEBUG
b

2017-04-03 15:

146,545 DEBUG
b

2017-04-03 15:
869749

] %$[PORTAL]
y — response

[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiolLa

51:46,527 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiolLa

51:46,529 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiolLa

51:46,532 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiolLa

51:46,534 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiola

51:46,537 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiolLa

51:46,540 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiolLa

51:46,543 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiola

51:46,545 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiolLa
51:46,550 DEBUG proxy.AuthorizationProxy [http-bio-9090-exec-60,resolveTokenByUserAndContext:136
[http-bio-9090-exec-60] DEBUG org.gcube.common.authorization.client.proxy.AuthorizationProx
code for http://authorization.d4science.org:80/authorization-service/gcube/service/token/resolve

/costantino.perciante?context=/d4science.research-infrastructures.eu/gCubeApps/RStudioLab is 200 OK

2017-04-03 15:

:46,551 DEBUG
b

2017-04-03 15:

:46,554 DEBUG
b

2017-04-03 15:
[http-bio-
2017-04-03 15:

BUG

146,557 DEBUG
b

2017-04-03 15:

:46,559 DEBUG
b

2017-04-03 15:

:46,561 DEBUG
b

2017-04-03 15:

146,564 DEBUG
b

2017-04-03 15:

51:46,551 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiolLa

51:46,554 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiolLa

51:46,556 DEBUG impl.LiferayUserManager [http-bio-9090-exec-60,getUserById:460]
9090-exec—-60] [LiferayUserManager:460] Trying to fetch user by LR Id = 29924

51:46,557 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiolLa

%$15:51:46,556 DE

51:46,559 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiolLa

51:46,561 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiolLa

51:46,564 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiolLa

51:46,565 DEBUG impl.LiferayUserManager [http-bio-9090-exec-60,listMembershipRequestsByGroup:753

] %15:51:46,565 DEBUG [http-bio-9090-exec-60] [LiferayUserManager:753] Asked for pending users list of group: R

StudioLab

2017-04-03 15:

:46,567 DEBUG
b

2017-04-03 15:

146,570 DEBUG
b

2017-04-03 15:

146,573 DEBUG
b

2017-04-03 15:

146,576 DEBUG
b

2017-04-03 15:

146,579 DEBUG
b

2017-04-03 15:

146,582 DEBUG
b

2017-04-03 15:
GroupRejectedUsersRequests:520]
costantino.perciante displayed rejectedMembershipRequests for the site:
RolesInitial is:

e admin:
51:46,567 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiola

51:46,570 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiolLa

51:46,573 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiola

51:46,576 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiola

51:46,579 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiolLa

51:46,582 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
[http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiolLa
51:46,582 INFO usersmanagementportlet.UsersManagementPortletHome
%$15:51:46,582 INFO [http-bio-9090-exec-60] [UsersManagementPortletHome:520]
RStudioLab

[http-bio-9090-exec-60, current
Th

false
2017-04-03 15:51:46,585 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
:46,585 DEBUG [http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiola
b

2017-04-03 15:51:46,587 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
:46,587 DEBUG [http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiola
b

2017-04-03 15:51:46,590 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
:46,590 DEBUG [http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiola
b

2017-04-03 15:51:46,593 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
:46,593 DEBUG [http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiola
b

2017-04-03 15:51:46,596 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
:46,596 DEBUG [http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiola
b

2017-04-03 15:51:46,599 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
:46,599 DEBUG [http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiola
b

2017-04-03 15:51:46,601 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
:46,601 DEBUG [http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiola
b

2017-04-03 15:51:46,604 DEBUG impl.LiferayUserManager [http-bio-9090-exec-78,getMembershipRequests:859] %15:51
:46,604 DEBUG [http-bio-9090-exec-78] [LiferayUserManager:859] Asked for pending users list of group: RStudiola
b

2017-04-03 15:51:46,606 INFO usersmanagementportlet.UsersManagementPortletHome [http-bio-9090-exec-78,current
GroupUsers:431] %15:51:46,606 INFO [http-bio-9090-exec-78] [UsersManagementPortletHome:431] User: costantino.p
erciante is displaying users of the site: RStudiolab

RolesInitial is: false

2017-04-03 15:51:46,634 DEBUG proxy.AuthorizationProxy [http-bio-9090-exec-88, resolveTokenByUserAndContext:136
] $[PORTAL] 869833 [http-bio-9090-exec-88] DEBUG org.gcube.common.authorization.client.proxy.AuthorizationProx
y - response code for http://authorization.d4science.org:80/authorization-service/gcube/service/token/resolve
/costantino.perciante?context=/d4science.research-infrastructures.eu/gCubeApps/RStudioLab is 200 OK

2017-04-03 15:51:46,640 DEBUG impl.LiferayUserManager [http-bio-9090-exec-88,getUserById:460] %$15:51:46,640 DE
BUG [http-bio-9090-exec—-88] [LiferayUserManager:460] Trying to fetch user by LR Id = 29924

RolesInitial is: true

2017-04-03 15:51:47,089 DEBUG proxy.AuthorizationProxy [http-bio-9090-exec-31,resolveTokenByUserAndContext:136
] $[PORTAL] 870288 [http-bio-9090-exec-31] DEBUG org.gcube.common.authorization.client.proxy.AuthorizationProx
y — response code for http://authorization.d4science.org:80/authorization-service/gcube/service/token/resolve
/costantino.perciante?context=/d4science.research-infrastructures.eu/gCubeApps/RStudioLab is 200 OK

2017-04-03 15:51:47,095 DEBUG impl.LiferayUserManager [http-bio-9090-exec-31,getUserById:460] %$15:51:47,095 DE
BUG [http-bio-9090-exec-31] [LiferayUserManager:460] Trying to fetch user by LR Id = 29924

RolesInitial is: false

2017-04-03 15:51:47,145 DEBUG proxy.AuthorizationProxy [http-bio-9090-exec-24,resolveTokenByUserAndContext:136
] %[PORTAL] 870344 [http-bio-9090-exec-24] DEBUG org.gcube.common.authorization.client.proxy.AuthorizationProx
y — response code for http://authorization.d4science.org:80/authorization-service/gcube/service/token/resolve
/costantino.perciante?context=/d4science.research-infrastructures.eu/gCubeApps/RStudioLab is 200 OK

2017-04-03 15:51:47,151 DEBUG impl.LiferayUserManager [http-bio-9090-exec-24,getUserById:460] %$15:51:47,151 DE
BUG [http-bio-9090-exec-24] [LiferayUserManager:460] Trying to fetch user by LR Id = 29924

2017-04-03 15:51:47,152 DEBUG usersmanagementportlet.EmailPartsConstruction [http-bio-9090-exec-24, returnPrope
rty:29] %$15:51:47,152 DEBUG [http-bio-9090-exec-24] [EmailPartsConstruction:29] Using file -> /home/life/D4Scie
nce-production-gateway/tomcat-7.0.62/conf/EmailTemplates.properties

2017-04-03 15:51:47,152 DEBUG usersmanagementportlet.EmailPartsConstruction [http-bio-9090-exec-24, returnPrope
rty:37] %15:51:47,152 DEBUG [http-bio-9090-exec-24] [EmailPartsConstruction:37] The body msg that will be sent
is....

2017-04-03 15:51:47,152 DEBUG usersmanagementportlet.EmailPartsConstruction [http-bio-9090-exec-24, returnPrope
rty:38] %15:51:47,152 DEBUG [http-bio-9090-exec-24] [EmailPartsConstruction:38] {0} Request Rejected

2017-04-03 15:51:47,153 DEBUG impl.LiferayUserManager [http-bio-9090-exec-24,1listUsersAndRolesByGroup:642] %15
:51:47,153 DEBUG [http-bio-9090-exec-24] [LiferayUserManager:642] Asked for users and roles of group: RStudiola
b

2017-04-03 15:51:47,257 DEBUG usersmanagementportlet.UsersManagementPortletHome [http-bio-9090-exec-24, getVREM
anagersEmailsForGroup:1125] %15:51:47,257 DEBUG [http-bio-9090-exec-24] [UsersManagementPortletHome:1125] VRE M
anager email -> gianpaolo.coro@isti.cnr.it

2017-04-03 15:51:47,257 DEBUG usersmanagementportlet.UsersManagementPortletHome [http-bio-9090-exec-24, getVREM
anagersEmailsForGroup:1125] %15:51:47,257 DEBUG [http-bio-9090-exec-24] [UsersManagementPortletHome:1125] VRE M
anager email -> leonardo.candela@isti.cnr.it

2017-04-03 15:51:47,258 DEBUG usersmanagementportlet.UsersManagementPortletHome [http-bio-9090-exec-24, getVREM
anagersEmailsForGroup:1125] %15:51:47,258 DEBUG [http-bio-9090-exec-24] [UsersManagementPortletHome:1125] VRE M
anager email -> julien.barde@ird.fr

2017-04-03 15:51:47,259 DEBUG usersmanagementportlet.UsersManagementPortletHome [http-bio-9090-exec-24, serveRe
source:136] %15:51:47,259 DEBUG [http-bio-9090-exec-24] [UsersManagementPortletHome:136] VRE Manager rejection
request email subject -> D4Science.org Gateway - Virtual Research Environment Request Rejected

RolesInitial is: false

#23 - Apr 03, 2017 05:56 PM - Costantino Perciante
- Private changed from No to Yes

#24 - Apr 04, 2017 02:03 PM - Costantino Perciante

- Private changed from Yes to No

#25 - Apr 04, 2017 02:21 PM - Panagiota Koltsida

Since the logs do not show something useful, | suggest to deploy the same version with the pre-production environment. Based on Constantino's
comment please deploy the #55 build version.

This won't contain the css fix, but we should test first to see if the requests are working and depending on this we can decide on putting back the css
or not.

#28 - Apr 05, 2017 06:27 PM - Panagiota Koltsida
- % Done changed from 0 to 100

Finally we found the bug in the portlet.

It was a bug in a js file introduced after the support of displaying the rejected requests. Unfortunately in production environments, the affected VREs
did not have any rejected request, which was not the case in the pre-production environment and this is why we could not spot the problem in the
beginning.

The production is not patched with the fixed versions and tomorrow | will create the release ticket for this component

#29 - Apr 05, 2017 11:58 PM - Pasquale Pagano
Panagiota Koltsida wrote:
The production is not patched with the fixed versions and tomorrow | will create the release ticket for this component

Did you mean "The production is NOW patched with the fixed version"?
If not, can it be deployed in production without waiting for the release rollout?

#30 - Apr 06, 2017 09:41 AM - Panagiota Koltsida
Pasquale Pagano wrote:
Panagiota Koltsida wrote:
The production is not patched with the fixed versions and tomorrow | will create the release ticket for this component

Did you mean "The production is NOW patched with the fixed version"?
If not, can it be deployed in production without waiting for the release rollout?

Yes, the fix is already deployed on production nodes

#31 - Apr 06, 2017 09:51 AM - Massimiliano Assante
- Status changed from In Progress to Closed
thank you Giota, the ticket can be closed. Please make sure you:

e relate the release ticket(s) containing the fix to this ticket
¢ include on the users management testing plan a step or a series of steps that verifies the issue we could not discover on preprod
